melody.c File Reference

store Never Gonna Give You Up More...

`#include "melody.h"`
Include dependency graph for melody.c:

## Macros

#define | TONE(freq, duration) ((((uint32_t)freq & 0xffff) << 16) | (((uint32_t)duration / (uint32_t)freq) & 0xffff))
#define | PAUSE(duration) (0x30000 | ((duration >> 10) & 0xffff))
#define | TEXT(id) (0x40000 | id)

## Variables

const uint32_t | TACT = 2120 * 1000 * 25
const uint32_t | GIS2 = 30098
const uint32_t | F = 35793
const uint32_t | DIS = 40177
const uint32_t | CIS = 45097
const uint32_t | C = 47778
const uint32_t | B = 53629
const uint32_t | GIS = 60197
const uint32_t | CALL = 0x10000
const uint32_t | RETURN = 0x20000
const uint32_t | refrain []
const uint32_t | quadrupel []
const uint32_t | strophe1 []
const uint32_t | strophe2 []
const uint32_t | main_melody []
const uint32_t * | cpu32EntryPoint = main_melody
const uint32_t | CALL_REFRAIN = CALL + 0
const uint32_t | CALL_QUADRUPEL = CALL + 1
const uint32_t | CALL_STROPHE1 = CALL + 2
const uint32_t | CALL_STROPHE2 = CALL + 3
const uint32_t | GOTO_MAIN_MELODY = 4
const uint32_t * | jumplabels []
const uint32_t ** | cppu32JumpLabels = jumplabels
const char * | cpcTexts []

## Detailed Description

store Never Gonna Give You Up

Author
  Lukas Fürderer

Version
  V1.0

Date
  15.11.2020

This file contains the main app function and init.

## Macro Definition Documentation

## PAUSE

#define PAUSE | ( |  | duration | ) | (0x30000 | ((duration >> 10) & 0xffff))

## TEXT

#define TEXT | ( |  | id | ) | (0x40000 | id)

## TONE

#define TONE | ( |  | freq,
|  |  | duration
| ) |  | ((((uint32_t)freq & 0xffff) << 16) | (((uint32_t)duration / (uint32_t)freq) & 0xffff))

## Variable Documentation

## B

const uint32_t B = 53629

## C

const uint32_t C = 47778

## CALL

const uint32_t CALL = 0x10000

## CALL_QUADRUPEL

const uint32_t CALL_QUADRUPEL = CALL + 1

## CALL_REFRAIN

const uint32_t CALL_REFRAIN = CALL + 0

## CALL_STROPHE1

const uint32_t CALL_STROPHE1 = CALL + 2

## CALL_STROPHE2

const uint32_t CALL_STROPHE2 = CALL + 3

## CIS

const uint32_t CIS = 45097

## cpcTexts

const char* cpcTexts[]

## cppu32JumpLabels

const uint32_t** cppu32JumpLabels = jumplabels

## cpu32EntryPoint

const uint32_t* cpu32EntryPoint = main_melody

## DIS

const uint32_t DIS = 40177

## F

const uint32_t F = 35793

## GIS

const uint32_t GIS = 60197

## GIS2

const uint32_t GIS2 = 30098

## GOTO_MAIN_MELODY

const uint32_t GOTO_MAIN_MELODY = 4

## jumplabels

const uint32_t* jumplabels[]

Initial value:
= {
refrain,
quadrupel,
strophe1,
strophe2,
main_melody,
}

## main_melody

const uint32_t main_melody

Initial value:
= {
CALL_STROPHE1,
CALL_REFRAIN,
CALL_STROPHE2,
CALL_REFRAIN,
CALL_REFRAIN,
GOTO_MAIN_MELODY,
}

## quadrupel

const uint32_t quadrupel

Initial value:
= {
TEXT(15),
TONE(GIS, TACT / 16),
TONE(B, TACT / 16),
TONE(CIS, TACT / 16),
TONE(B, TACT / 16),
RETURN,
}

## refrain

const uint32_t refrain

## RETURN

const uint32_t RETURN = 0x20000

## strophe1

const uint32_t strophe1

## strophe2

const uint32_t strophe2

## TACT

const uint32_t TACT = 2120 * 1000 * 25

RETURN
const uint32_t RETURN
Definition: melody.c:33
TONE
#define TONE(freq, duration)
Definition: melody.c:15
quadrupel
const uint32_t quadrupel[]
Definition: melody.c:36
strophe2
const uint32_t strophe2[]
Definition: melody.c:38
CALL_REFRAIN
const uint32_t CALL_REFRAIN
Definition: melody.c:42
GIS
const uint32_t GIS
Definition: melody.c:30
CALL_STROPHE1
const uint32_t CALL_STROPHE1
Definition: melody.c:44
TEXT
#define TEXT(id)
Definition: melody.c:20
GOTO_MAIN_MELODY
const uint32_t GOTO_MAIN_MELODY
Definition: melody.c:46
TACT
const uint32_t TACT
Definition: melody.c:22
main_melody
const uint32_t main_melody[]
Definition: melody.c:39
strophe1
const uint32_t strophe1[]
Definition: melody.c:37
refrain
const uint32_t refrain[]
Definition: melody.c:35
CIS
const uint32_t CIS
Definition: melody.c:27
CALL_STROPHE2
const uint32_t CALL_STROPHE2
Definition: melody.c:45
B
const uint32_t B
Definition: melody.c:29